import { AxiosResponse, AxiosRequestConfig } from "axios";

export interface requestInterceptors {
  requestInterceptor?: (config: AxiosRequestConfig) => AxiosRequestConfig;
  requestInterceptorCatch?: (error: any) => any;
  responseInterceptor?: (res: AxiosResponse) => AxiosResponse;
  responseInterceptorCatch?: (error: any) => any;
}

export interface requestConfig extends AxiosRequestConfig {
  interceptors: requestInterceptors;
}
