import { reactive } from "vue";
export const menuList = reactive([
  {
    path: "InformationFilling",
    name: "信息填报",
    children: [
      {
        path: "outWarehouseInfo",
        name: "出库信息填报"
      },
      {
        path: "enterWarehouseInfo",
        name: "入库信息填报"
      }
    ]
  },
  {
    path: "InformationAudit",
    name: "信息审核",
    children: [
      {
        path: "outWarehouseAudit",
        name: "出库信息审核"
      },
      {
        path: "enterWarehouseAudit",
        name: "入库信息审核"
      }
    ]
  },
  {
    path: "dataStatistics",
    name: "数据统计",
    children: [
      {
        path: "outWarehouseAudit",
        name: "救灾物资数量价值表"
      },
      {
        path: "enterWarehouseAudit",
        name: "防汛物资储备价值表"
      },
      {
        path: "enterWarehouseAudit",
        name: "抗旱物资储备价值表"
      },
      {
        path: "enterWarehouseAudit",
        name: "应急物资分类表"
      }
    ]
  }
]);
