const { defineConfig } = require("@vue/cli-service");
module.exports = defineConfig({
  transpileDependencies: true,
  lintOnSave: false,
  devServer: {
    client: {
      overlay: false // 编译错误时，取消全屏覆盖（建议关掉）
    },
    // port: 8080,
    // host: "localhost",
    // https: false,
    // open: true,
    proxy: {
      "/user": {
        target: process.env.VUE_APP_BASE_URL,
        ws: true,
        changeOrigin: true,
        pathRewrite: {
          "^/user": "/user"
        }
      },
      "/irpt": {
        target: process.env.VUE_APP_BASE_URL,
        ws: true,
        changeOrigin: true,
        pathRewrite: {
          "^/irpt": "/irpt"
        }
      }
    }
  }
});
